Bug 488099 - Review Request: python-polib - A library to parse and manage gettext catalogs
Review Request: python-polib - A library to parse and manage gettext catalogs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 488151 488963
  Show dependency treegraph
 
Reported: 2009-03-02 12:53 EST by Ignacio Vazquez-Abrams
Modified: 2009-03-23 01:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 01:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-03-02 12:53:42 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/python-polib/python-polib.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/python-polib/python-polib-0.4.0-1.20080217svnr60.src.rpm
Description: polib allows you to manipulate, create, modify gettext files (pot, po and mo files). You can load existing files, iterate through it's entries, add, modify entries, comments or metadata, etc... or create new po files from scratch.

polib provides a simple and pythonic API, exporting only three convenience functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes: POFile, MOFile, POEntry and MOEntry for creating new files/entries.
Comment 1 Parag AN(पराग) 2009-03-03 01:56:26 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1216017
+ rpmlint is silent for SRPM
+ rpmlint is NOT silent for RPM.
python-polib.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/polib.py 0644
==> can be ignored.
+ source files in tarball match upstream but as this is svn checkout unable to verify md5sum.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:
1)  use %global instead %define

APPROVED.
Comment 2 Ignacio Vazquez-Abrams 2009-03-03 04:32:16 EST
New Package CVS Request
=======================
Package Name: python-polib
Short Description: A library to parse and manage gettext catalogs
Owners: ivazquez
Branches: F-9 F-10 EL-5
InitialCC: i18n-team
Comment 3 Kevin Fenzi 2009-03-03 15:41:37 EST
cvs done.
Comment 4 Parag AN(पराग) 2009-03-23 00:56:24 EDT
If this package is built for all requested branches then can we have this review closed now?

Note You need to log in before you can comment on or make changes to this bug.